## rurple-ng 0.5+16

=== SConstruct ===
#!/usr/local/bin/python - fool editor 

Command("build/html/index.html", "manual.docbook",
    "xsltproc"
    + " --output build/html/index.html"
    " /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl"
    " manual.docbook")

=== debian/changelog ===
rurple-ng (0.5+16-2) unstable; urgency=medium

  * also build and ship the html manual
  * update debhelper compat level 9->10
  * accept nmus
  * install COPYING.txt to /usr/share/rurple-ng to fix about dialog
    fixes: https://github.com/thkoch2001/rurple-ng/issues/1
  * bump standards version 3.9.4->4.1.5, see next line
  * rm menu file as per lintian tag command-in-menu-file-and-desktop-file

 -- Thomas Koch <thomas@koch.ro>  Sun, 22 Jul 2018 12:30:12 +0200

rurple-ng (0.5+16-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add missing docbook-xsl to Build-Depends. (Closes:
    #764989)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Oct 2014 04:48:23 +0200

rurple-ng (0.5+16-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for wxPython 3.0 (Closes: #759067):
    + New patch: wxpython3.0.patch

 -- Olly Betts <olly@survex.com>  Thu, 11 Sep 2014 00:10:22 +0000

rurple-ng (0.5+16-1) unstable; urgency=low

  * Initial release. (Closes: #693069)

 -- Thomas Koch <thomas@koch.ro>  Sun, 29 Sep 2013 17:45:14 +0100

=== debian/control ===
Source: rurple-ng
Section: education
Priority: optional
Maintainer: Thomas Koch <thomas@koch.ro>
Build-Depends:
 asciidoc,
 debhelper (>= 10),
 dh-python,
 docbook-xsl,
 python,
 xsltproc,
Standards-Version: 4.1.5
Homepage: http://dev.lshift.net/paul/rurple
Vcs-Git: https://salsa.debian.org/thk-guest/rurple-ng.git
Vcs-Browser: https://salsa.debian.org/thk-guest/rurple-ng

Package: rurple-ng
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-wxgtk3.0
Description: learn programming in Python with a robot
 Rurple-ng is a rewrite of RUR-PLE[1], a programming learning environment. The
 student learns programming concepts by controlling a robot. The original
 RUR-PLE comes with a self-learning tutorial[2] in several languages that can
 also be used with Rurple-ng.
 .
 Unlike other programming learning environments, RUR-PLE uses a real world
 programming language (Python) with no modifications or restrictions. Thus the
 student can move directly from programming a robot to real world programs.
 .
 [1] https://github.com/aroberge/rur-ple
 [2] http://rur-ple.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_clean:
override_dh_auto_build:
	a2x --no-xmllint --doctype manpage --format manpage debian/rurple-ng.txt
	xsltproc --output build/html/index.html /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl manual.docbook

override_dh_auto_install:

override_dh_fixperms:
	dh_fixperms
	find debian/rurple-ng/usr/share/rurple-ng/share -type f -exec chmod -x {} \;

=== debian/watch ===
version=3
# rurple-ng has not been developed upstream since 2009
